eBudzik help

eBudzik v1.0.2

Prosty budzik z alarmem

Copyright © 2005-2011 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

WWW: http://www.noniewicz.com

Ostatnia aktualizacja pomocy: 2011.04.20

Spis treści
  • Ogólne
    • O programie
    • Licencja
    • Historia zmian
  • Program
    • Główne okno
    • Popup menu
    • Ustawienia


eBudzik v1.0.2
Copyright © 2005-2011 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

Ogólne

  • O programie
  • Licencja
  • Historia zmian


O programie

Witaj w eBudzik dla Windows®.

eBudzik to prosty zeragek z budzikiem. Napisałem go, bo wyczerpała mi się bateria w moim prawdziwym/materialnym budziku. Cała funkcjonalność programu sprowadza się do wyświetlania analogowego albo cyfrowego zegara z możliwością ustawienia alarmu na zadany czas, co powoduje odtwarzanie wybranego pliku *.mp3, *.mpg albo *.wav aż do zatrzymania przez użytkownika. Budzik może też uruchomić w momencie alarmu zadany program. Zegar może być wyświetlany w oknie o dowolnych rozmiarach oraz w trybie pełnoekranowym.

Niektóre nowe cechy w wersji 1.0.2:

  • opcja łądowania własnego przezroczystego obrazka tła (zegar analogowy)
  • import/eksport ustawień
  • przerobiony interface
  • opcja zawsze na wierzchu
  • tryb 12/24 (zegar cyfrowy)
  • pomoc w formacie CHM

Ważne: program nie czyta ustawień z poprzednich wersji.

Polskie znaki w angielskiej wersji Windows 7:

Aby polskie znaki były poprawnie wyświetlane w Windows 7 należy w Region and Language w Language for non-Unicode programs ustawić Polish (Poland). Można to zmienić klikając na Change system locale... i wybierając odpowiednie ustawienia.

Strona www eBudzik:
http://www.noniewicz.com/

Pobierz najnowszą wersję:
http://www.noniewicz.com/downloadspl.php

Kontakt:

Błędy, problemy, uwagi, komentarze i sugestie zmian/ulepszeń można zgłaszać tu http://www.noniewicz.com/contactpl.php.


Licencja

eBudzik dla Windows® - LICENCJA

1. Ten program jest chroniony prawem autorskim. Wyłącznym autorem programu jest Jakub Noniewicz (MoNsTeR/GDC).

2. Licencja na użytkowanie programu zarówno do prywatnych, jak i komercyjnych zastosowań jest bezpłatna.

3. Programu można używać do dowolnych zastosowań nie powodujących niczyjej szkody.

4. Autor dołożył MAKSYMALNYCH starań, aby program działał prawidłowo. Ponieważ jednak program jest tworem myśli ludzkiej, nie można wykluczyć, że nie jest wolny od błędów. Z tego powodu autor nie ponosi żadnej odpowiedzialności za jakiekolwiek szkody materialne i niematerialne wynikłe z użytkowania programu. Nie jest też gwarantowane żadne wsparcie techniczne dla użytkowników programu.

5. Dozwolone jest nieodpłatne kopiowanie wersji instalacyjnej programu, przekazywanie jej innym osobom oraz publikowanie w dowolny sposób. Zabroniona jest sprzedaż programu bez uprzedniej pisemnej zgody autora oraz usuwanie z programu informacji o prawach autorskich.

6. Jakakolwiek dekompilacja programu oraz ingerencja w zawartość jego plików wykonywalnych jest zabroniona.


Historia zmian

v1.0.2.6:
- format pomocy zmieniony na CHM
- opcjonalny skrót na pasku szybkiego uruchamiania
- różne zmiany w instalatorze programu
- kod programu przepisany pod BDS 2006
- opcja zawsze na wierzchu
- tryb 12/24 (zegar cyfrowy)
- info o alarmie pokazuje się w tzw. dymku zegara
- pola czasu alarmu - tylko 2 znaki + automatyczne przeskakiwanie do następnego pola
- import/eksport ustawień
- pokazywanie/ukrywanie przycisków usunięte - teraz pojawiają się automatycznie
- prawy panel z przyciskami usunięty
- więcej skrótów klawiaturowych
- zmiana kolejności opcji w popup menu
- dodana opcja ładowania (przezroczystych) obrazków tła (zegar analogowy)
- zewnętrzna pełnoekranowa aplikacja flasher - efekt wizualny na alarm
- drobne zmiany

v1.0.1.5 (niepublikowana):
- dodana pomoc

v1.0.0.2-1.0.0.4:
- wsparcie dla formatów mp3/mpg
- spacja włącza/wyłącza alarm
- opcja blokady zamknięcia programu
- funkcja minimalizowania do tray-a
- tryb pełnoekranowy
- wygodna lista standardowych alarmów
- opcja uruchamiania zewnętrznej aplikacji na alarm
- drobne poprawki


eBudzik v1.0.2
Copyright © 2005-2011 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

Program

  • Główne okno
  • Popup menu
  • Ustawienia


Główne okno

Główne okno może wyglądać np. tak:

W trybie cyfrowym:

w trybie analogowym:

albo

Okno jest w pełni skalowanle (chyba, że jest załadowany obrazek tła). Własny obrazek tła działa tylko w trybie analogowym. Może on być przezroczysty (np. aby uzyskać okrągły kształt zegara). Przezroczysty kolor jest zawsze na sztywno ustawiony na FF00FF w RGB. Zmiana obrazka tła wymaga restartu programu.

Przyciski:

alarm włączony/wyłączony (SPACE)
tryb cyfrowy/analogowy (F9)
ustawienia (F10)
minimalizuj program
zamknij program (ALT+F4)

Przyciski pojawiają się, gdy kursor myszy znajduje się nad nieprzezroczystym obszarem okna programu. Znikają automatycznie po jakimś czasie.

Popup menu:

Aby zobaczyć popup menu z dodatkowymi opcjami należy kliknąć prawym przyciskiem myszy w dowolne miejsce budzika.


Menu

eBudzik v1.0.2
Copyright © 2005-2011 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

Popup menu

  • Ustawienia (F10) - okno ustawień programu
  • Import ustawień (F5) - wczytuje ustawienia z pliku
  • Eksport ustawień (F6) - zapisuje ustawienia do pliku
  • Włącz/wyłącz alarm (space) - włącz/wyłącz alarm
  • Ukryj/pokaż - ukryj (minimizuj do tray-a) albo pokaż budzik
  • Pełny ekran włącz/wyłącz (F8) - opcja pełny ekran
  • Zegar analogowy/cyfrowy (F9) - tryb analogowy / cyfrowy
  • Włącz/wyłącz blokowanie zamknięcia - zapobiega przypadkowemu zamknięciu budzika
  • Zawsze na wierzchu - budzik zawsze na wierzchu
  • 12/24h - tryb 12h albo 24h (tylko zegar cyfrowy)
  • Polski <-> English - zmienia język programu (polski <-> angielski)
  • Pomoc (F1) - wyświetla pomoc
  • O programie - pokazuje informacje o programie
  • Zamknij (ALT+F4) - zamyka aplikację


Ustawienia

To okno zawiera ustawienia programu:

Można tu skonfigurować następujące parametry:
- czas alarmu,
- dźwięk alarmu (mogą być własne pliki *.wav, *.mp3 albo *.mpg),
- opcjonalny program do uruchomienia na alarm,
- kolor tła,
- kolot czcionki i wskazówek
- opcjonalny (przezroczysty) obrazek tła, który będzie tarczą zegara (zegar analogowy).

Aby zapisać nowe ustawienia kliknij Ustaw.

Gdy jest załadowany obrazek tła rozmiar zegara jest ustawiany na rozmiar obrazka.